Create a new associated person document
Creates a new associated person document.
POST
/
applications
/
associated-people
/
{associatedPersonId}
/
documents
Create a new associated person document
curl --request POST \
--url https://api.equalsmoney.com/v2/applications/associated-people/{associatedPersonId}/documents \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form purpose=PROOF_OF_IDENTITY \
--form file=nullimport requests
url = "https://api.equalsmoney.com/v2/applications/associated-people/{associatedPersonId}/documents"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purpose\"\r\n\r\nPROOF_OF_IDENTITY\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\nnull\r\n-----011000010111000001101001--"
headers = {
"Authorization": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('purpose', 'PROOF_OF_IDENTITY');
form.append('file', 'null');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://api.equalsmoney.com/v2/applications/associated-people/{associatedPersonId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
"associatedPersonId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
"purpose": "PROOF_OF_IDENTITY",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}Authorizations
Path Parameters
The ID of the associated person to work with.
Maximum string length:
36Example:
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
Body
multipart/form-data
Body
Response
201 - application/json
Created
The ID of the document to work with.
Maximum string length:
36Example:
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
The ID of the associated person to work with.
Maximum string length:
36Example:
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
Available options:
PROOF_OF_IDENTITY, PROOF_OF_ADDRESS, PROOF_OF_LIVENESS, PROOF_OF_FUNDS, EMPLOYMENT_HISTORY, PROOF_OF_RESIDENCY, OTHER The date the Resource was initially created. ISO 8601 format without milliseconds.
The date the Resource was last modified. ISO 8601 format without milliseconds.
Was this page helpful?
⌘I
Create a new associated person document
